#!/bin/sh
PROJECT_HOME=`dirname "$0"`

echo "Project Home: ${PROJECT_HOME}"


PATH=/usr/local/bin:/usr/bin:/usr/X11R6/bin:/bin:/usr/games:/opt/gnome/bin:/opt/kde3/bin
PATH=$PATH:$HOME/bin:/shared/webtools/apps/apache-ant-1.6.5/bin
PATH=$PATH:/shared/webtools/apps/IBMJava2-ppc-142/bin
export PATH

LD_LIBRARY_PATH=/opt/gnome/lib:/opt/gnome/lib64
export LD_LIBRARY_PATH



BUILD_HOME=/shared/webtools
export BUILD_HOME

CCDIR=/shared/webtools/apps/cruisecontrol-bin-2.5
export CCDIR

JAVA_HOME=/shared/webtools/apps/IBMJava2-ppc-142
export JAVA_HOME

ANT_HOME=/shared/webtools/apps/apache-ant-1.6.5
export ANT_HOME


# OS specific support.
sunjvm=false;
ibmjvm=false;
javaversion="`uname -a`"

case "$javaversion" in
  *i686*) sunjvm=true;;
  *ppc*)  ibmjvm=true;;
esac

ANT_OPTS="-Xms128m -Xmx768m"
if $sunjvm ; then
   ANT_OPTS="-Xms128m -Xmx768m -XX:MaxPermSize=128M -XX:+UseParallelGC"
fi
ANT_CMD=${ANT_HOME}/bin/ant
DISPLAY=127.0.0.1:1.0
export DISPLAY
export ANT_OPTS
exec "$ANT_CMD" "$@"
